import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type CancelBuyParams = {
    escrowConfig: PublicKey;
    offer: PublicKey;
    trade: PublicKey;
    treasuryAuthority: PublicKey;
    treasuryTokenAccount: PublicKey;
    buyer: PublicKey;
    buyerKycCert: PublicKey;
    offerTokenVault: PublicKey;
    offerNativeVault: PublicKey;
    tradeTokenVault: PublicKey;
    tradeNativeVault: PublicKey;
    configRentVault: PublicKey;
};
export declare function cancelBuy(program: Program<Escrow>, params: CancelBuyParams): Promise<Instruction>;
